import { IPlatformDataSource } from '@cloudbase/cals';
export interface IInvokeDataSource {
    /**
     * 数据源描述对象
     */
    dataSource: IPlatformDataSource;
    /** 调用的方法名称 */
    methodName: string;
    /** 调用参数, 若有, 应当为 对象 */
    params?: any;
}
export declare function invokeDataSource(cfnParams: IInvokeDataSource): Promise<any>;
/**
 * 获取方法配置描述
 */
export declare function getMethodCfg(dsConfig: IPlatformDataSource | undefined, methodName: string): import("@cloudbase/cals").IHttpMethod | import("@cloudbase/cals").ICloudMethod | undefined;
